Subject: Re: [PATCH v1] builtin/mktree: remove USE_THE_REPOSITORY_VARIABLE

From: Tian Yuchen <[email-masked]>
Date: Sat, 14 Mar 2026 02:12:07 +0800

On 3/14/26 01:54, Junio C Hamano wrote:

> I strongly disagree your idea that 'z' is more business logic than
> 'h' is.  Both are equally relevant.

Perhaps I didn't explain myself clearly :(

I do understand that *currently* both are part of the business logic. 
However, what puzzles me is: why is it written this way? Why isn't -h 
intercepted at the outer global level, but instead handed off to a 
function like parse_options() for interception?

Is this due to historical reasons?

Please forgive my slowness. I would appreciate it if you could offer 
some guidance!

Thanks,

Yuchen